<pm-page-wrapper>
  <div class="container-fluid">
    <form class="pt-3 d-flex flex-column min-vh-100 vh-100 max-page-content">
      <pm-top-bar
        ><a class="btn btn-outline-primary hover" href="/new"
          >CREATE NEW NOTE</a
        ></pm-top-bar
      >

      <div class="pt-5 mt-5">
        <input
          type="search"
          name="search-box"
          class="search form-control"
          placeholder="Search"
          (input)="handleSerch($event)"
        />
      </div>

      <div class="flex-grow-1 overflow-auto my-2 px-2">
        <div class="shade top row g-3"></div>

        <ul class="list-unstyled p-0 mb-3 row row-cols-1 g-3">
          <li
            *ngFor="let note of filteredNotes; index as noteIndex"
            class="form-control col"
          >
            <button
              class="item-header w-100 d-flex"
              (click)="toggleNote(note.id)"
            >
              <div
                class="flex-grow-1 title ps-2"
                [ngClass]="{ open: note.id == activeId }"
              >
                {{ note.subject }}
              </div>
              <div class="toggle flex text-center">
                <i class="arrow" [ngClass]="{ up: note.id == activeId }"></i>
              </div>
            </button>

            <div
              class="item-content w-100"
              [ngClass]="{ open: note.id == activeId }"
            >
              <div *ngIf="note.url" class="url ps-2">
                <p>{{ note.url }}</p>
              </div>
              <div *ngIf="note.note" class="my-4 text ps-2 w-90">
                <p>{{ note.note }}</p>
              </div>
              <div
                *ngIf="note.images"
                class="row row-cols-1 row-cols-sm-2 row-cols-md-3 g-2"
              >
                <img
                  *ngFor="let image of note.images; index as imageIndex"
                  src="{{ image }}?random={{ noteIndex + 100 + imageIndex }}"
                  class="image col"
                />
              </div>
              <div class="d-grid gap-2 d-flex justify-content-end mt-5">
                <button
                  class="btn btn-outline-primary me-3 hover"
                  type="button"
                  (click)="hendleDeleteNote(note.id)"
                >
                  Delete
                </button>
                <a
                  class="btn btn-outline-primary me-3 hover"
                  href="update/{{ note.id }}"
                  role="button"
                >
                  Update
                </a>
              </div>
            </div>
          </li>
        </ul>
        <div class="shade bottom row g-3"></div>
      </div>

      <div class="row row-cols-1 row-cols-md-3 g-2 pb-4">
        <div class="col">
          <button
            class="btn btn-primary text-white w-100"
            type="submit"
            (click)="handleSort('createdAt')"
          >
            Filter by created date
          </button>
        </div>
        <div class="col">
          <button
            class="btn btn-primary text-white w-100"
            type="submit"
            (click)="handleSort('updatedAt')"
          >
            Filter by updated date
          </button>
        </div>
        <div class="col">
          <button
            class="btn btn-primary text-white w-100"
            type="submit"
            (click)="handleSort('subject')"
          >
            Filter by name
          </button>
        </div>
      </div>
    </form>
  </div>
</pm-page-wrapper>
